<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_paymentspo_edit, App_Web_i8s3gxxe" title="iPurchaseOrder v1.0 Administration" %>
<%@ Register TagPrefix="ew" Namespace="eWorld.UI.Compatibility" Assembly="eWorld.UI.Compatibility" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">

    <div id="leftcontent">
    
        <h2 class="title no_space_under">Payment Setup</h2>
        
        <asp:PlaceHolder ID="errs" runat="server" />  
              
        <asp:Panel ID="pnl_saved" Visible="false" runat="server">
            <div id="div_saved" class="alert_box">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-green.gif" AlternateText="Saved" /> Your payment has been made.</p>
            </div>
        </asp:Panel>
        
        <asp:Panel ID="pnl_failed" Visible="false" runat="server">
            <div id="div_none" class="alert_box_red">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image1" runat="server" ImageUrl="~/images/status-red.gif" AlternateText="Saved" /> The payment has failed for the following reason:<br /><asp:Label ID="reason" runat="server" /></p>
            </div>
        </asp:Panel>
        
        <fieldset>
            <legend>Basic Information</legend>
            <table cellpadding="3" border="0">
                <tr>
                    <td width="120" nowrap="nowrap">purchase:</td>
                    <td class="label"><asp:DropDownList CssClass="lblDrop" AutoPostBack="true" ID="purchase_id" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Payment Type:</td>
                    <td class="label"><asp:DropDownList ID="dnv_paymentspo_types_id" CssClass="lblDrop" AutoPostBack="true" runat="server" /></td>
                </tr>
                <tr id="tr_cards_id" runat="server" visible="false">
                    <td width="120" nowrap="nowrap">Credit Card:</td>
                    <td class="label"><asp:DropDownList ID="dnv_cards_id" runat="server" CssClass="lblDrop" AutoPostBack="true" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Amount:</td>
                    <td class="label"><asp:TextBox ID="amount" Width="120" CssClass="lblDrop" runat="server" /><ajaxToolkit:FilteredTextBoxExtender ID="ftb_amount" runat="server" TargetControlID="amount" FilterType="Custom, Numbers" ValidChars=".," /></td>
                </tr>
                <asp:Panel ID="use_service_charge" runat="server" Visible="false">
                <tr>
					<td>Service Charge (<asp:Label ID="service_charge_rate" runat="server" />):</td>
					<td class="label"><asp:Label ID="service_charge" CssClass="lblDrop" runat="server" /></td>
				</tr>
				<tr>
					<td>Total Charge:</td>
					<td class="label"><asp:Label ID="total_charge" CssClass="lblDrop" runat="server" /></td>
				</tr>
				</asp:Panel>
                <tr runat="server" id="tr_payment_dnv_status_id">
                    <td width="120" nowrap="nowrap">Payment Status:</td>
                    <td class="label"><asp:DropDownList Enabled="false" ID="payment_dnv_status_id" CssClass="lblDrop" runat="server" /></td>
                </tr>
                <tr id="tr_captured" runat="server" visible="false">
                    <td width="120" nowrap="nowrap">Capture Date:</td>
                    <td class="label"><asp:Label ID="captured" CssClass="lblDrop" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Notes:</td>
                    <td class="label"><asp:TextBox ID="notes" runat="server" CssClass="lblDrop" TextMode="MultiLine" Height="80" Width="280" /></td>
                </tr>
            </table>
            <asp:CompareValidator ID="c_amount" runat="server" EnableClientScript="False" Display="static" ControlToValidate="amount" ValueToCompare="0" Operator="GreaterThan" Type="Currency" ErrorMessage="Amount must be greater than zero." />
            <asp:RequiredFieldValidator ID="r_dnv_paymentspo_types_id" runat="server" EnableClientScript="false" Display="static" ControlToValidate="dnv_paymentspo_types_id" InitialValue="0" ErrorMessage="Payment type is required." />
            <asp:RequiredFieldValidator ID="r_purchase_id" runat="server" EnableClientScript="false" Display="Static" ControlToValidate="purchase_id" InitialValue="0" ErrorMessage="An purchase must be selected." />
            <asp:RequiredFieldValidator ID="r_amount" runat="server" EnableClientScript="false" Display="Static" ControlToValidate="amount" ErrorMessage="Amount is a required field." />
        </fieldset>
        
        <fieldset id="fld_card" runat="server" visible="false">
            <legend>Credit Card Information</legend>
            <table cellpadding="3" border="0">
                <tr>
                    <td width="120" nowrap="nowrap">First Name:</td>
                    <td class="label"><asp:TextBox Width="280" ID="first_name" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Last Name:</td>
                    <td class="label"><asp:TextBox Width="280" ID="last_name" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Address 1:</td>
                    <td class="label"><asp:TextBox Width="280" ID="address1" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Address 2:</td>
                    <td class="label"><asp:TextBox Width="280" ID="address2" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">City:</td>
                    <td class="label"><asp:TextBox Width="280" ID="city" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Country:</td>
                    <td class="label"><asp:DropDownList ID="country" runat="server" AutoPostBack="true" /></td>
                </tr>
                <tr id="tr_state" runat="server">
                    <td width="120" nowrap="nowrap">State:</td>
                    <td class="label"><asp:DropDownList ID="state" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Zip:</td>
                    <td class="label"><asp:TextBox Width="120" ID="zip" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Phone:</td>
                    <td class="label"><asp:TextBox Width="120" ID="phone" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Card Type:</td>
                    <td class="label"><asp:DropDownList ID="dnv_cards_types_id" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Expiration:</td>
                    <td class="label"><asp:DropDownList ID="exp_month" runat="server" /> <asp:DropDownList ID="exp_year" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Card Number:</td>
                    <td class="label">
                        <asp:Label runat="server" ID="number_read_only"></asp:Label>
                        <asp:TextBox Width="280" ID="number" runat="server" MaxLength="16" Visible="false" />
                        <asp:LinkButton runat="server" ID="cmd_edit_number" CausesValidation="false"></asp:LinkButton>
                        <asp:RequiredFieldValidator ID="r_number" runat="server" EnableClientScript="false" Display="none" ControlToValidate="number" ErrorMessage="The credit card number is required." />
                    </td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">CVV</td>
                    <td class="label"><asp:TextBox ID="cvv" runat="server" Width="80" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap">Card Status:</td>
                    <td class="label"><asp:DropDownList ID="card_dnv_status_id" runat="server" /></td>
                </tr>
            </table>
            <asp:CustomValidator ID="c_exp_date" runat="server" EnableClientScript="false" Display="static" ControlToValidate="exp_month" ErrorMessage="Please enter a valid expiration date." />
            <asp:RequiredFieldValidator ID="r_cvv" runat="server" EnableClientScript="false" Display="static" ControlToValidate="cvv" ErrorMessage="The credit card verification code is required." />
            <asp:RequiredFieldValidator ID="r_dnv_cards_types_id" runat="server" EnableClientScript="false" Display="static" ControlToValidate="dnv_cards_types_id" InitialValue="0" ErrorMessage="The credit card type is required." />
            <asp:RequiredFieldValidator ID="r_zip" runat="server" EnableClientScript="false" Display="static" ControlToValidate="zip" ErrorMessage="The billing zip code for this credit card is required." />
            <asp:RequiredFieldValidator ID="r_state" runat="server" EnableClientScript="false" Display="static" ControlToValidate="state" InitialValue="" ErrorMessage="The billing state for this credit card is required." />
            <asp:RequiredFieldValidator ID="r_country" runat="server" EnableClientScript="false" Display="static" ControlToValidate="country" InitialValue="" ErrorMessage="The billing country for this credit card is required." />
            <asp:RequiredFieldValidator ID="r_city" runat="server" EnableClientScript="false" Display="static" ControlToValidate="city" ErrorMessage="The billing city for this credit card is required." />
            <asp:RequiredFieldValidator ID="r_address1" runat="server" EnableClientScript="false" Display="static" ControlToValidate="address1" ErrorMessage="The billing address for this credit card is required." />
            <asp:RequiredFieldValidator ID="r_last_name" runat="server" EnableClientScript="false" Display="static" ControlToValidate="last_name" ErrorMessage="The last name for this credit card is required." />
            <asp:RequiredFieldValidator ID="r_first_name" runat="server" EnableClientScript="false" Display="static" ControlToValidate="first_name" ErrorMessage="The first name for this credit card is required." />
            <asp:RequiredFieldValidator ID="r_phone" runat="server" EnableClientScript="false" Display="static" ControlToValidate="phone" ErrorMessage="The billing phone number for this credit card is required." />
        </fieldset>
               
        <table cellpadding="2" border="0">
            <tr>
                <td><asp:Button Width="120" runat="server" Text="Process Payment" id="cmd_save" /></td>
            </tr>
        </table>  
              
    </div>  
        
</asp:Content>

